import { Observable } from 'rxjs';
export declare abstract class BreadcrumbsUtils {
    static stringFormat(rawTemplate: string, data: any): string;
    static wrapIntoObservable<T>(value: T | Promise<T> | Observable<T>): Observable<T>;
    private static isPromise;
    /**
     * Access object nested value by giving a path
     *
     * @param obj The object you want to access value from
     * @param path The value path. e.g: `bar.baz`
     * @example
     *   const obj = { foo: { bar: 'Baz' } };
     *   const path = 'foo.bar';
     *   leaf(obj, path) // 'Baz'
     */
    static leaf(obj: any, path: string): any;
    /**
     * checks whether an object is empty or not
     *
     * @param object object to extract values from
     * @returns boolean
     */
    static isEmptyObject(obj: any): boolean;
}
